import java.io.*;
import java.net.*;

/**
 * Programa que hace conexin tcp con el servidor e inicia interfaz grfica.
 * @author	Carlos Silva Ltty, Andrs Cern Corrales
 * @version	0.1_Beta 30/10/2005
 * 
 */

public class ChatClient {
    /**
     * Constructor de la clase. Recibe como argumentos el nombre de usuario, la direccin de red y el puerto
     * de escucha del ChatServer.
     * 
     * @param user El nombre del usuario.
     * @param host Direccin de red del servidor.
     * @param port Puerto de escucha del servidor.
     */
    public ChatClient(String user, String host, int port) throws IOException {
        Socket socket = new Socket(host, port);
        PrintWriter out = new PrintWriter(socket.getOutputStream(), true /* autoFlush */);
        out.println(user);  // se enva el nombre de usuario.
        ChatViewer viewer = new ChatViewer(socket, user);
    }
    
    /**
     * Mtodo main. Recibe argumentos de entrada y llama al constructor de la clase. Implementa por defecto
     * la direccin IP 197.0.0.1 y el puerto 12468 si solo se especifica el nombre. Implementa por defecto la
     * IP 197.0.0.1 si slo se implementa el nombre de usuario y el puerto. Uso recomendado: ChatClient <user> <server> <port_server>
*/
    public static void main(String[] args) throws IOException{
        
        if (args.length == 1)
            new ChatClient(args[0], "127.0.0.1", 12468);
        else if (args.length == 2) {
            Integer port = new Integer(args[1]);
            new ChatClient(args[0], "127.0.0.1", port.intValue());
        } else if (args.length == 3) {
            Integer port = new Integer(args[2]);
            new ChatClient(args[0], args[1], port.intValue());
        } else {
            System.out.println();
            System.out.println("USSAGE:  ChatClient <user> <server> <port_server>");
            System.out.println("         ChatClient <user> <port_server>");
            System.out.println("         ChatClient <user>");
            System.out.println();
            System.out.println("         by default set port 12468");
            System.out.println("                    set host 127.0.0.1");
            System.out.println();
        }
    }
}
